package lucastest;

import java.io.FileWriter;
import java.io.IOException;

public class DirectSample {



    public void makeCollection(Config config, SpeciesSet speciesSet, String fpath, int num) {

        GTree gTree = new GTree(config, speciesSet, true);
        try {
            FileWriter fw = new FileWriter(fpath);
            fw.write("sample  logP  ");
            fw.write(gTree.logColumnNames());
            fw.write("\n");
            for (int i = 0; i < num; i++) {
                gTree.makeSampleTree();
                fw.write(String.format("%7d  %8.6f ", i, 0.0));
                fw.write(gTree.logColumns());
                fw.write("\n");
            }
            fw.close();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }




}


